OrcOutputFormat (ORC MapReduce 1.6.6 API)
Date: 2021-01-13

org.apache.orc.mapreduce

## Class OrcOutputFormat<V extends Writable>

- java.lang.Object
- - org.apache.hadoop.mapreduce.OutputFormat<K,V>
  - - org.apache.hadoop.mapreduce.lib.output.FileOutputFormat<NullWritable,V>
    - - org.apache.orc.mapreduce.OrcOutputFormat<V>

-     public class OrcOutputFormat<V extends Writable>
      extends FileOutputFormat<NullWritable,V>

  An ORC output format that satisfies the org.apache.hadoop.mapreduce API.

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class org.apache.hadoop.mapreduce.lib.output.FileOutputFormat

      `FileOutputFormat.Counter`

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static String` | `SKIP_TEMP_DIRECTORY`

    - ### Fields inherited from class org.apache.hadoop.mapreduce.lib.output.FileOutputFormat

      `BASE_OUTPUT_NAME, COMPRESS, COMPRESS_CODEC, COMPRESS_TYPE, OUTDIR, PART`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `OrcOutputFormat()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `Path` | `getDefaultWorkFile(TaskAttemptContext context, String extension)`
    `RecordWriter<NullWritable,V>` | `getRecordWriter(TaskAttemptContext taskAttemptContext)`

    - ### Methods inherited from class org.apache.hadoop.mapreduce.lib.output.FileOutputFormat

      `checkOutputSpecs, getCompressOutput, getOutputCommitter, getOutputCompressorClass, getOutputName, getOutputPath, getPathForWorkFile, getUniqueFile, getWorkOutputPath, setCompressOutput, setOutputCompressorClass, setOutputName, setOutputPath`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### SKIP_TEMP_DIRECTORY

          public static final String SKIP_TEMP_DIRECTORY

      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### OrcOutputFormat

          public OrcOutputFormat()

  - ### Method Detail

    - #### getRecordWriter

          public RecordWriter<NullWritable,V> getRecordWriter(TaskAttemptContext taskAttemptContext)
                                                       throws IOException

      Specified by:
        `getRecordWriter` in class `FileOutputFormat<NullWritable,V extends Writable>`
      Throws:
        `IOException`

    - #### getDefaultWorkFile

          public Path getDefaultWorkFile(TaskAttemptContext context,
                                         String extension)
                                  throws IOException

      Overrides:
        `getDefaultWorkFile` in class `FileOutputFormat<NullWritable,V extends Writable>`
      Throws:
        `IOException`

Copyright © 2013–2021 The Apache Software Foundation. All rights reserved.